summaryrefslogtreecommitdiff
path: root/Master/bin/x86_64-solaris/dvi2fax
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-05-24 00:19:35 +0000
committerKarl Berry <karl@freefriends.org>2010-05-24 00:19:35 +0000
commit0c34d999b2168a461cb1e570783c1a114538b649 (patch)
treeeb0594bda0c65de84b652b7c9b12732308ac8119 /Master/bin/x86_64-solaris/dvi2fax
parentfd0b0388052142e91b9d5ae0464fc054ee89bc1c (diff)
x86_64-solaris 2010 pretest 1 binaries (as)
git-svn-id: svn://tug.org/texlive/trunk@18442 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/x86_64-solaris/dvi2fax')
-rwxr-xr-xMaster/bin/x86_64-solaris/dvi2fax41
1 files changed, 41 insertions, 0 deletions
diff --git a/Master/bin/x86_64-solaris/dvi2fax b/Master/bin/x86_64-solaris/dvi2fax
new file mode 100755
index 00000000000..fdfa83211eb
--- /dev/null
+++ b/Master/bin/x86_64-solaris/dvi2fax
@@ -0,0 +1,41 @@
+#!/bin/sh
+# options for dvips are passwd down
+
+test -f /bin/sh5 && test -z "$RUNNING_SH5" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
+ && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
+unset RUNNING_SH5
+
+test -f /bin/bsh && test -z "$RUNNING_BSH" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xAIX; } 2>/dev/null \
+ && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
+unset RUNNING_BSH
+
+# hack around a bug in zsh:
+test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
+
+progname=`basename "$0"`
+help()
+{
+ echo "Usage: $progname [-hi|-lo] file[.dvi] [options for dvips]"
+ echo " -hi: use high fax resolution (204x196) (default)"
+ echo " -lo: use low fax resolution (204x98)"
+ echo
+ echo "Example: $progname foo -l 2"
+}
+
+dvipsconf=dfaxhigh; gsdev=dfaxhigh
+case $1 in
+ -hi) gsdev=dfaxhigh; shift;;
+ -lo) gsdev=dfaxlow; shift;;
+esac
+
+case $# in
+ 0) help >&2
+ exit 1
+ ;;
+esac
+
+NAME=`basename "$1" .dvi`
+dvips "$@" -P$dvipsconf -f |
+ gs -q -dSAFER -sDEVICE=$gsdev -sOutputFile="$NAME-%03d.fax" -sNOPAUSE -